Skip to main content
POST
/
v2
/
checkout
/
{slug}
/
pay
Post Checkout By Slug Pay
curl --request POST \
  --url https://api.pagou.ai/v2/checkout/{slug}/pay \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "session_token": "<string>",
  "payment_method": "pix",
  "buyer": {
    "name": "<string>",
    "email": "jsmith@example.com",
    "phone": "<string>",
    "birth_date": "<string>",
    "document": {
      "type": "EIN",
      "number": "<string>"
    },
    "address": {
      "street": "<string>",
      "city": "<string>",
      "number": "<string>",
      "complement": "<string>",
      "neighborhood": "<string>",
      "state": "<string>",
      "zipCode": "<string>",
      "country": "BR"
    }
  },
  "currency": "BRL",
  "amount": 4503599627370496,
  "token": "<string>",
  "installments": 4503599627370496,
  "idempotency_key": "<string>",
  "_hp_field": "<string>"
}
'
{
  "success": true,
  "requestId": "<string>",
  "data": {
    "transaction": {
      "id": 123,
      "status": "<string>",
      "method": "pix",
      "amount": 123,
      "base_price": 123,
      "currency": "BRL",
      "created_at": "<string>",
      "updated_at": "<string>",
      "paid_at": "<string>",
      "processed_at": "<string>",
      "captured_at": "<string>",
      "receipt_url": "<string>",
      "notify_url": "<string>",
      "external_ref": "<string>",
      "installments": 123,
      "paid_amount": 123,
      "refunded_amount": 123,
      "fee": {
        "net_amount": 123,
        "estimated_fee": 123
      },
      "pix": {
        "qr_code": "<string>",
        "expiration_date": "<string>",
        "receipt_url": "<string>"
      },
      "voucher": {
        "url": "<string>",
        "barcode": "<string>",
        "digitable_line": "<string>",
        "expiration_date": "<string>",
        "receipt_url": "<string>"
      },
      "elements": {
        "client_secret": "<string>",
        "intent_id": "<string>",
        "account_id": "<string>"
      },
      "next_action": {
        "type": "three_ds_challenge",
        "challenge_session_id": "<string>",
        "client_secret": "<string>",
        "expires_at": "<string>"
      },
      "card_brand": "<string>",
      "card_last4": "<string>"
    },
    "status": "<string>",
    "_idempotent": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

slug
string
required
Required string length: 3 - 255

Body

application/json
session_token
string
required
Minimum string length: 1
payment_method
enum<string>
required
Available options:
pix,
voucher,
credit_card
buyer
object
required
currency
enum<string>
default:BRL
Available options:
BRL,
MXN,
COP,
CLP,
ARS,
PEN,
USD,
GTQ,
CRC,
NIO,
PYG,
UYU,
BOB,
PHP,
RUB,
INR,
SAR,
AED,
KWD,
QAR,
OMR,
KHR,
SGD,
IDR,
KRW,
THB,
MYR,
HKD,
CNY,
EGP,
EUR,
GBP,
BHD,
MAD,
AUD,
CAD,
CHF,
NZD,
PLN,
KZT,
UZS,
JPY,
GLC
amount
integer
Required range: 1 <= x <= 9007199254740991
token
string | null
Pattern: ^pgct_.*
installments
integer | null
Required range: 1 <= x <= 9007199254740991
idempotency_key
string | null
_hp_field
string | null

Response

Success

success
boolean
required
requestId
string
required
data
object
required